# Django Chain Documentation

Welcome to the official documentation for **Django Chain**!

Django Chain is a Django library that makes it easy to integrate Large Language Models (LLMs) into your Django applications using familiar Django patterns. It provides:

- Django-native abstractions for LLMs, prompts, and chains
- Database-backed prompt and memory management
- Asynchronous LLM calls and Celery integration
- Extensible architecture for custom workflows and providers
- Built-in logging, error handling, and observability

**Who should use Django Chain?**
- Django developers who want to add LLM-powered features (chatbots, summarization, etc.) to their apps
- Teams seeking a maintainable, scalable, and testable LLM integration

---

## Get Started
- [Installation Guide](introduction/installation.md)
- [Design & Architecture](introduction/design.md)
- [Usage Tutorials](usage/tutorials.md)
- [How-to Guides](usage/how-to-guides.md)
- [API Reference](api/intro.md)
- [Contributing](contributing/)

Use the navigation on the left to explore each section in detail.
